PrefabFiles = {
	"reflet", "refletfe", "levinsword", "valflame"
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/reflet.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/reflet.xml" ),
    Asset( "IMAGE", "images/saveslot_portraits/refletfe.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/refletfe.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/reflet.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/reflet.xml" ),
    Asset( "IMAGE", "images/selectscreen_portraits/refletfe.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/refletfe.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/reflet_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/reflet_silho.xml" ),
    Asset( "IMAGE", "images/selectscreen_portraits/refletfe_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/refletfe_silho.xml" ),

    Asset( "IMAGE", "bigportraits/reflet.tex" ),
    Asset( "ATLAS", "bigportraits/reflet.xml" ),
    Asset( "IMAGE", "bigportraits/refletfe.tex" ),
    Asset( "ATLAS", "bigportraits/refletfe.xml" ),
	
	Asset( "IMAGE", "images/map_icons/reflet.tex" ),
	Asset( "ATLAS", "images/map_icons/reflet.xml" ),
	Asset( "IMAGE", "images/map_icons/refletfe.tex" ),
	Asset( "ATLAS", "images/map_icons/refletfe.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_reflet.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_reflet.xml" ),
	Asset( "IMAGE", "images/avatars/avatar_refletfe.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_refletfe.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_reflet.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_reflet.xml" ),
	Asset( "IMAGE", "images/avatars/avatar_ghost_refletfe.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_refletfe.xml" ),


}

local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local Recipe = GLOBAL.Recipe
local require = GLOBAL.require
local TECH = GLOBAL.TECH
local resolvefilepath = GLOBAL.resolvefilepath
GLOBAL.STRINGS.NAMES.LEVINSWORD = "风雷剑"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.LEVINSWORD = "召唤雷霆的剑."
GLOBAL.STRINGS.RECIPE_DESC.LEVINSWORD = "魔法剑，召唤雷."
GLOBAL.STRINGS.NAMES.VALFLAME = "火焰之书"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.VALFLAME = "你说的对，火的使用传奇."
GLOBAL.STRINGS.RECIPE_DESC.VALFLAME = "这个神话中的火焰."

-- Recipe
local levinsword_recipe = Recipe("levinsword", {Ingredient("twigs", 2), Ingredient("goldnugget", 1), Ingredient("nitre", 2)}, RECIPETABS.WAR, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}, nil, nil, nil, nil, "tactician")
levinsword_recipe.sortkey = -6
levinsword_recipe.atlas = resolvefilepath("images/inventoryimages/levinsword.xml")
local valflame_recipe = Recipe("valflame", {Ingredient("papyrus", 2), Ingredient("charcoal", 2), Ingredient("nightmarefuel", 1)}, RECIPETABS.MAGIC, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}, nil, nil, nil, nil, "tactician")
valflame_recipe.sortkey = -8
valflame_recipe.atlas = resolvefilepath("images/inventoryimages/valflame.xml")




-- The character select screen lines
STRINGS.CHARACTER_TITLES.reflet = "罗宾"
STRINGS.CHARACTER_NAMES.reflet = "罗宾"
STRINGS.CHARACTER_DESCRIPTIONS.reflet = "*自带魔法书可以造成火焰伤害\n*专注在剑和魔法"
STRINGS.CHARACTER_QUOTES.reflet = "\"如果你知道我是谁,请告诉我...\""
STRINGS.CHARACTER_TITLES.refletfe = "瑞佛莱"
STRINGS.CHARACTER_NAMES.refletfe = "瑞佛莱"
STRINGS.CHARACTER_DESCRIPTIONS.refletfe = "*自带魔法书可以造成火焰伤害\n*专注在剑和魔法"
STRINGS.CHARACTER_QUOTES.refletfe = "\"如果你知道我是谁，请告诉我...\""

-- Custom speech strings
STRINGS.CHARACTERS.REFLET = require "speech_reflet"
STRINGS.CHARACTERS.REFLETFE = require "speech_refletfe"

-- The character's name as appears in-game 
STRINGS.NAMES.REFLET = "罗宾"
STRINGS.NAMES.REFLETFE = "罗宾"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.REFLET = 
{
	GENERIC = "他是罗宾!",
	ATTACKER = "那光泽看起来鬼鬼祟祟的...",
	MURDERER = "凶手!",
	REVIVER = "罗宾，鬼朋友.",
	GHOST = "罗宾可以用一个心脏.",
}

STRINGS.CHARACTERS.GENERIC.DESCRIBE.REFLETFE = 
{
	GENERIC = "她是瑞佛莱!",
	ATTACKER = "那瑞佛莱看起来鬼鬼祟祟的...",
	MURDERER = "凶手!",
	REVIVER = "瑞佛莱，鬼朋友.",
	GHOST = "瑞佛莱可以用一个心脏.",
}

AddMinimapAtlas("images/map_icons/reflet.xml")

AddMinimapAtlas("images/map_icons/refletfe.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("reflet", "MALE")
AddModCharacter("refletfe", "FEMALE")
